<div class="container-fluid">
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page">ustawienia</li>
    </ol>
  </nav>
  <div class="row">
    <div class="col col-12">
      <div class="mdc-card py-2">
        <div class="settings__data-row">
          <div class="" data-bs-toggle="collapse" aria-controls="email__settings-content">
            <div class="settings__data-name d-flex align-items-center">
              <!-- <a class="data-column"> -->
              <p id="email__settings" class="settings__data-label" data-label="email">adres email</p>
              <!-- </a> -->
            </div>
            <div class="settings__data-collapse collapse p-0" id="email__settings-content">
              <div class="settings__dropdown-data dropdown__data d-flex flex-column justify-content-center">
                <div class="settings__dropdown-group">
                  <div class="email__address-manager">
                    <div class="row">
                      <div class="col col-12">
                        <span class="credential__title">Twoje adresy email:</span>
                        <% if(emails && emails.length > 0) { %>
                        <div class="credentials__content">
                          <% for(const email of emails) { %>
                          <div class="py-2 d-flex justify-content-between align-items-center">
                            <span class="px-4 email__card-content" data-name="<%=email["email_address"]%>">
                              <%=email["email_address"]%>
                              <% if(email["is_verified"] === true) { %>
                              <span class="email__card-content-verified">zweryfikowany</span>
                              <% } else { %>
                              <span class="email__card-content-not_verified ">niezweryfikowany</span>
                              <% } %>
                            </span>
                            <div class="btn-group dropstart email__card-content-menu">
                              <span id="dropdownMenuButton1" type="button" class="dropdown-toggle material-icons-outlined menu-icon" data-bs-toggle="dropdown" aria-expanded="false">more_vert</span>
                              <ul class="dropdown-menu">
                                <% if(email["is_verified"] === true) { %>
                                <li><a class="dropdown-item" href="javascript:void(0)" onclick="deleteEmail(this)">usuń</a></li>
                                <% } else { %>
                                  <li><a class="dropdown-item" href="javascript:void(0)" onclick="deleteEmail(this)">usuń</a></li>
                                  <li><a class="dropdown-item" href="javascript:void(0)" onclick="resendActivationLink(this)">wyślij ponownie link aktywacyjny</a></li>
                                <% } %>
                              </ul>
                            </div>
                          </div>
                          <% } %>
                        </div>
                        <% } else { %>
                        <div class="credentials__content py-3">
                          <span class="px-4 email__card-content"><%=dictionary.page.identities.page.email.empty%></span>
                        </div>
                        <% } %>

                        <span class="refresh px-3 material-icons-outlined" onClick="emailsRefresh()">refresh</span>
                      </div>
                    </div>
                    <input class="w-100 settings__save" type="button" data-name="email" value="<%=dictionary.page.identities.page.email.button%>" data-bs-toggle="collapse" data-bs-target="#emailInput" role="button" aria-expanded="false"
                      aria-controls="emailInput">
                  </div>

                  <div class="collapse" id="emailInput">
                    <div class="email__data-collapse">
                      <div class="email__data-add-content mdc-card p-4">
                        <span><%=dictionary.page.identities.page.email.description%></span>
                        <input class="email__input mt-4" type="email" name="email__address" value="" placeholder="email">
                        <input class="email__input mt-4" type="email" name="repeated__email-address" value="" placeholder='<%=dictionary.page.identities.page.email.repeat%>'>
                        <span class="email__add-button mt-4" type="button" onclick="addNewEmailAddress()"><%=dictionary.page.identities.page.email.confirm%></span>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>


          <div class="settings__data-row">
            <div class="" data-bs-toggle="collapse" aria-controls="phone__settings-content">
              <div class="settings__data-name d-flex align-items-center">
                <!-- <a class="data-column"> -->
                <p id="phone__settings" class="settings__data-label" data-label="phone">numer telefonu</p>
                <!-- </a> -->
              </div>
              <div class="settings__data-collapse collapse  <%if(e_show.includes("phones")){%><%='show'%><%}%> %> p-0" id="phone__settings-content">
                <div class="settings__dropdown-data dropdown__data d-flex flex-column justify-content-center">
                  <div class="phone__number-manager settings__dropdown-group">
                    <div class="row">
                      <div class="col col-12">
                        <span class="credential__title">Twoje numery telefonów:</span>
                        <% if(phones && phones.length > 0) { %>
                        <div class="credentials__content py-3">
                          <%  for(const phone of phones) { %>
                          <div class="py-2 d-flex justify-content-between align-items-center">
                            <span class="phone__card-content" data-name="<%=phone["phone_number"]%>">
                              <%=phone["phone_number"]%>
                            </span>
                            <div class="btn-group dropstart phone__card-content-menu">
                              <span id="dropdownMenuButton1" type="button" class="dropdown-toggle material-icons-outlined menu-icon" data-bs-toggle="dropdown" aria-expanded="false">more_vert</span>
                              <ul class="dropdown-menu">
                                <li><a class="dropdown-item" href="javascript:void(0)" onclick="deletePhone(this)">usuń</a></li>
                              </ul>
                            </div>
                          </div>
                          <% } %>
                        </div>
                        <% } else { %>
                        <div class="credentials__content py-3">
                          <span class="px-4 phone__card-content"><%=dictionary.page.identities.page.phones.empty%></span>
                        </div>
                        <% } %> %>
                      </div>
                    </div>
                    <script src="/js/phones.js" charset="utf-8"></script>
                    <!--  -->
                  </div>
                </div>
              </div>
            </div>


            <div class="settings__data-row">
              <!-- href="#PIN__settings-content" aria-expanded="false" -->
              <div class="" data-bs-toggle="collapse" aria-controls="PIN__settings-content">
                <div class="settings__data-name d-flex align-items-center">
                  <!-- <a class="data-column"> -->
                  <p id="PIN__settings" class="settings__data-label" data-label="PIN">PIN</p>
                  <!-- </a> -->
                </div>
                <div class="settings__data-collapse collapse p-0" id="PIN__settings-content">
                  <div class="settings__dropdown-data dropdown__data d-flex flex-column justify-content-center">
                    <div class="pin__manager settings__dropdown-group">
                      <div class="row">
                        <div class="col col-12">
                          <div class="credentials__content pt-3">
                            <div class="d-flex justify-content-between align-items-center">
                              <% if(pin && pin.length > 0 && pin[0]?.pin) { %>
                              <span class="pin__card-content" data-defined="true">PIN: <span class="text">****</span></span>
                              <% } else { %>
                              <span class="pin__card-content" data-defined="false">PIN:</span>
                              <% } %>
                              <div class="btn-group dropstart pin__card-content-menu">
                                <span id="dropdownMenuButton1" type="button" class="dropdown-toggle material-icons-outlined menu-icon" data-bs-toggle="dropdown" aria-expanded="false">more_vert</span>
                                <ul class="dropdown-menu">
                                  <% if(pin && pin.length > 0 && pin[0]?.pin) { %>
                                  <li><a class="dropdown-item" href="javascript:void(0)" data-credential="nav-pin-tab" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">zdefiniuj</a></li>
                                  <li><a class="dropdown-item" href="javascript:void(0)" data-credential="all" data-active="nav-pin-tab" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">usuń</a></li>
                                  <% } else { %>
                                  <li><a class="dropdown-item" href="javascript:void(0)" data-credential="nav-pin-tab" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">zdefiniuj</a></li>
                                  <% } %>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>

                    <!-- <p class="settings__subtitle settings__dropdown-label mb-4">posiadasz zdefiniowany numer PIN ****</p>
                    <div class="settings__dropdown-group">
                      <span class="settings__dropdown-label pin__old-text">stary PIN</span>
                      <input class="settings__dropdown-input pin__old-input" type="password" name="" value="">
                    </div>

                    <div class="settings__dropdown-group">
                      <span class="settings__dropdown-label pin__new-text">nowy PIN</span>
                      <input class="settings__dropdown-input pin__new-input" type="password" name="" value="">
                    </div>
                    <div class="settings__dropdown-group">
                      <span class="settings__dropdown-label pin__new-repeat-text">powtórz nowy PIN</span>
                      <input class="settings__dropdown-input pin__new-repeat-input" type="password" name="" value="">
                    </div>
                    <input class="settings__save" type="button" data-name="pin" value="zapisz"> -->
                  </div>
                </div>
              </div>
            </div>
            <div class="settings__data-row">
              <div class="" data-bs-toggle="collapse" aria-controls="password__settings-content">
                <div class="settings__data-name d-flex align-items-center">
                  <!-- <a class="data-column"> -->
                  <p id="password__settings" class="settings__data-label" data-label="password">hasło</p>
                  <!-- </a> -->
                </div>
                <div class="settings__data-collapse collapse p-0" id="password__settings-content">
                  <div class="dropdown__data d-flex flex-column justify-content-center">
                    <div class="settings__dropdown-data dropdown__data d-flex flex-column justify-content-center">
                      <div class="password__manager settings__dropdown-group">
                        <div class="row">
                          <div class="col col-12">
                            <div class="credentials__content pt-3">
                              <div class="d-flex justify-content-between align-items-center">
                                <% if(password && password.length > 0 && password[0]?.password) { %>
                                <span class="password__card-content" data-defined="true">hasło: <span class="text">********</span></span>
                                <% } else { %>
                                <span class="password__card-content" data-defined="false">hasło:</span>
                                <% } %>
                                <div class="btn-group dropstart password__card-content-menu">
                                  <span id="dropdownMenuButton1" type="button" class="dropdown-toggle material-icons-outlined menu-icon" data-bs-toggle="dropdown" aria-expanded="false">more_vert</span>
                                  <ul class="dropdown-menu">
                                    <% if(password && password.length > 0 && password[0]?.password) { %>
                                    <li><a class="dropdown-item" href="javascript:void(0)" data-credential="nav-password-tab" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">zdefiniuj</a></li>
                                    <li><a class="dropdown-item" href="javascript:void(0)" data-credential="all" data-active="nav-password-tab" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">usuń</a></li>
                                    <% } else { %>
                                    <li><a class="dropdown-item" href="javascript:void(0)" data-credential="nav-password-tab" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">zdefiniuj</a></li>
                                    <% } %>
                                  </ul>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="biometry__settings-content settings__data-row">
              <div class="" data-bs-toggle="collapse" aria-controls="biometry__settings-content">
                <div class="settings__data-name d-flex align-items-center">
                  <!-- <a class="data-column"> -->
                  <p id="biometry__settings" class="settings__data-label" data-label="biometry">biometria</p>
                  <!-- </a> -->
                </div>
                <div class="settings__data-collapse collapse p-0" id="biometry__settings-content">
                  <div class="settings__dropdown-data dropdown__data d-flex flex-column justify-content-center">
                    <!-- dolaczyc biometrie z zewnatrz bo w dwóch miejscach jest wyorzystywana i muszę ją przełączac -->
                    <div class="settings__dropdown-group">
                      <div class="record-card d-flex mt-4 mb-2 align-items-center">
                        <div class="instruction__section" style="text-align: initial; flex-basis: 60%; max-width: 400px;">
                          <h5>
                            <% if(isBiometryEnrolled.status) { %>
                            <div id="instruction_biometry" data-content="start" data-enrolled="<%=isBiometryEnrolled.status%>" style="line-height: 1.5">Wciśnij ikonę mikrofonu by rozpocząć nagrywanie i zaktualizować biometrię głosową</div>
                            <% } else { %>
                            <div id="instruction_biometry" data-content="start" data-enrolled="<%=isBiometryEnrolled.status%>" style="line-height: 1.5">Wciśnij ikonę mikrofonu by rozpocząć nagrywanie i stworzyć nowy profil biometrii głosowej</div>
                            <% } %>
                          </h5>
                          <div>Wypowiedz i nagraj poniższą treść:</div>
                          <div style="margin: 15px auto 20px 0; color:#4d90fe; max-width: 500px">
                            <b><%= isBiometryEnrolled.passphrase.passphrase %></b>
                          </div>
                        </div>
                        <div class="record__section">
                          <div>
                            <button id="record" class="pulse"><span id="test" class="material-icons-outlined">mic</span></button>
                            <h1 class="timer">
                              00 : 00
                            </h1>
                          </div>
                          <div><span id="errorMsg"></span></div>
                        </div>

                        <script id="timer_script" src="/js/timer.js?stop_text=Wciśnij ponownie by zatrzymać nagrywanie"></script>
                        <script id="record_script" src="/js/record.js?redirectUri=/api/biometry/enrollments&isBiometryEnrolled=<%= isBiometryEnrolled.status %>"></script>

                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="settings__data-row">
              <div class="" data-bs-toggle="collapse" aria-controls="questions__settings-content">
                <div class="settings__data-name d-flex align-items-center">
                  <!-- <a class="data-column"> -->
                  <p id="questions__settings" class="settings__data-label" data-label="questions">pytania pomocnicze</p>
                  <!-- </a> -->
                </div>
                <div class="settings__data-collapse collapse <% if(e_show.includes("security_questions")) { %> <%='show'%> <% } %> %> p-0" id="questions__settings-content">
                  <div class="settings__dropdown-data dropdown__data d-flex flex-column justify-content-center">
                    <p id="security__question-title" class="settings__subtitle settings__dropdown-label">zdefiniuj 3 różne pytania pomocnicze do odzyskiwania hasła</p>
                    <div class="question__container">
                      <div class="settings__dropdown-group question__div">
                        <label class="settings__dropdown-label question-text" for="questions-dropdown">pytanie:</label>
                        <select class="settings__dropdown-select question-select" name="questions" id="questions-dropdown">
                        </select>
                      </div>
                      <div class="settings__dropdown-group answer__block">
                        <div class="d-block answer__div">
                          <span class="settings__dropdown-label answer-text">odpowiedź: </span>
                          <input class="settings__dropdown-input answer-input w-50" type="text" name="" value="">
                        </div>
                      </div>
                    </div>

                    <div class="question__container">
                      <div class="settings__dropdown-group question__div">
                        <label class="settings__dropdown-label question-text" for="questions-dropdown">pytanie:</label>
                        <select class="settings__dropdown-select question-select" name="questions" id="questions-dropdown">
                        </select>
                      </div>
                      <div class="settings__dropdown-group answer__block">
                        <div class="d-block answer__div">
                          <span class="settings__dropdown-label answer-text">odpowiedź: </span>
                          <input class="settings__dropdown-input answer-input w-50" type="text" name="" value="">
                        </div>
                      </div>
                    </div>

                    <div class="question__container">
                      <div class="settings__dropdown-group question__div">
                        <label class="settings__dropdown-label question-text" for="questions-dropdown">pytanie:</label>
                        <select class="settings__dropdown-select question-select" name="questions" id="questions-dropdown">
                        </select>
                      </div>
                      <div class="settings__dropdown-group answer__block">
                        <div class="d-block answer__div">
                          <span class="settings__dropdown-label answer-text">odpowiedź: </span>
                          <input class="settings__dropdown-input answer-input w-50" type="text" name="" value="">
                        </div>
                      </div>
                    </div>
                    <input class="settings__save" type="button" data-name="questions" value="zapisz">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Button trigger modal -->
<!-- <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticCredentialsBackdrop">
  Launch static backdrop modal
</button> -->

<!-- Modal -->
<div class="modal fade p-1" id="staticCredentialsBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">weryfikacja składnikiem uwierzytelniającym</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <nav>
          <div class="nav nav-tabs" id="nav-tab" role="tablist">
            <button class="nav-link d-none" id="nav-pin-tab" data-bs-toggle="tab" data-bs-target="#nav-pin" type="button" role="tab" aria-controls="nav-pin" aria-selected="true">PIN</button>
            <button class="nav-link d-none" id="nav-password-tab" data-bs-toggle="tab" data-bs-target="#nav-password" type="button" role="tab" aria-controls="nav-password" aria-selected="false">hasło</button>
            <button class="nav-link d-none" id="nav-biometry-tab" data-bs-toggle="tab" data-bs-target="#nav-biometry" type="button" role="tab" aria-controls="nav-biometry" aria-selected="false">biometria</button>
            <button class="nav-link d-none" id="nav-questions-tab" data-bs-toggle="tab" data-bs-target="#nav-questions" type="button" role="tab" aria-controls="nav-questions" aria-selected="false">pytania pomocnicze</button>
          </div>
        </nav>
        <div class="tab-content" id="nav-tabContent">
          <!-- PIN TAB -->
          <div class="tab-pane fade" id="nav-pin" role="tabpanel" aria-labelledby="nav-pin-tab">

            <div class="pin__tab-content p-3">
            <% if(pin && pin.length > 0 && pin[0]?.pin) { %>
              <div class="settings__dropdown-group">
                <span class="settings__dropdown-label pin__old-text">PIN</span>
                <input class="settings__dropdown-input pin__old-input" type="password" name="" value="">
              </div>
              <% } %>
              <div class="settings__dropdown-group">
                <span class="settings__dropdown-label pin__new-text">nowy PIN</span>
                <input class="settings__dropdown-input pin__new-input" type="password" name="" value="">
              </div>
              <div class="settings__dropdown-group">
                <span class="settings__dropdown-label pin__new-repeat-text">powtórz nowy PIN</span>
                <input class="settings__dropdown-input pin__new-repeat-input" type="password" name="" value="">
              </div>
            </div>
          </div>

          <!-- PASSWORD TAB -->
          <div class="tab-pane fade" id="nav-password" role="tabpanel" aria-labelledby="nav-password-tab">
            <div class="password__tab-content p-3">
              <% if(password[0] && password[0].password) { %>
              <div class="settings__dropdown-group">
                <span class="settings__dropdown-label password__old-text">hasło</span>
                <input class="settings__dropdown-input password__old-input" type="password" name="" value="">
              </div>
              <% } %>
              <div class="settings__dropdown-group">
                <span class="settings__dropdown-label password__new-text">nowe hasło</span>
                <input class="settings__dropdown-input password__new-input" type="password" name="" value="">
              </div>
              <div class="settings__dropdown-group">
                <span class="settings__dropdown-label password__new-repeat-text">powtórz nowe hasło</span>
                <input class="settings__dropdown-input password__new-repeat-input" type="password" name="" value="">
              </div>
            </div>
          </div>

          <!-- BIOMETRY TAB -->
          <div class="tab-pane fade" id="nav-biometry" role="tabpanel" aria-labelledby="nav-biometry-tab">
            <!-- dodawac tu biometrie? -->
          </div>

          <!-- QUESTIONS TAB -->
          <div class="tab-pane fade" id="nav-questions" role="tabpanel" aria-labelledby="nav-questions-tab"></div>
        </div>
      </div>
      <div class="modal-footer">
        <!-- <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">zamknij</button> -->
        <!-- <button type="button" class="btn btn-primary">akceptuj</button> -->
        <input class="settings__save" type="button" value="zapisz" data-del="">
      </div>
    </div>
  </div>
</div>

<!-- scripts -->
<script src="/js/security_questions_table.js" charset="utf-8"></script>
<script src="/js/settings_tab.js" charset="utf-8"></script>

<script id="sq_script" src="/js/security_questions.js" data-questions='<%=JSON.stringify(securityQuestions)%>' charset="utf-8"></script>

<script src="/js/settings.js" charset="utf-8"></script>

<!-- <script type="text/javascript" src="/js/page_content.js" charset="utf-8"></script> -->
<script type="text/javascript" src="/js/email.js" charset="utf-8"></script>


<script type="text/javascript">
  var lang = $("nav.navbar .language__active").data("active-language");
  history.pushState({}, "phoneid_redirect", `https://selfcare.topid.org/main?lang=${lang}#settings`);
</script>

<!-- <script id="PHONEID" type="text/javascript" src="https://authstg.phoneid.co/phoneid.js" data-src_dir="getting-started-with-phoneid-using-apache2-ajax.en.stg" data-r_operating_mode="n_operating_mode" data-always_new_user="yes"
  data-redirecturi="settings/phone/add" data-positioning_div_id="exampleDiv" data-cid_topid="jakis_cid_topid" data-cid="cid_topID_BV_C_1777" data-parent_protocol="https:" data-language="en" data-lang_iso639_3="pol" data-msisdn="" data-acn="+4872903710"
  data-acn_nl="+3185086499*" data-method="LOCAL" data-loa="2" data-time="120" data-msg_refusal_timeout="Timeout" data-msg_refusal_wrong_pin="Verkeerde PIN" data-msg_welcome="scan the QR code<br>or dial the number." data-buttonId="phoneid__btn"
  data-exchange_channel="tel"
  data-customcss_XXXdisabledXXX="@import url('https://fonts.googleapis.com/css2?family=Gentium+Book+Basic&display=swap'); body {  font-size: 1.2rem; color: #212529; } .clsPage { display: flex; align-items: center; justify-content: center; min-height: 100vh;} #idP20aVertical30textC {font-family: Gentium Book Basic !important;}">
</script> -->
